export type Metadata = {
    type: string;
    value?: string | URL;
    stats?: import('fs').Stats;
};
export type LocalFetchResponse = {
    metadata: Metadata;
    quadStream: import('@rdfjs/types').Stream;
};
/**
 * Tries to fetch or read locally one file
 * @this import('barnard59-core').Context
 * @param {import('stream').Readable | string} input
 * @param {string} [basePath]
 * @return {Promise<LocalFetchResponse>}
 */
export function localFetch(this: import("barnard59-core").Context, input: import('stream').Readable | string, basePath?: string | undefined): Promise<LocalFetchResponse>;
