export type Metadata = {
    type?: string;
    stats?: {
        birthtimeMs?: number;
        mtimeMs?: number;
    };
};
export type NamedDateLiteral = 'TIME_NOW' | 'TIME_FILE_CREATION' | 'TIME_FILE_MODIFICATION';
/**
 * @typedef {{
 *   type?: string;
 *   stats?: {
 *     birthtimeMs?: number;
 *     mtimeMs?: number;
 *   }
 * }} Metadata
 */
/**
 * @typedef {'TIME_NOW' | 'TIME_FILE_CREATION' | 'TIME_FILE_MODIFICATION'} NamedDateLiteral
 */
/**
 * @type {Map<NamedDateLiteral, (metadata?: Metadata) => import('@rdfjs/types').Literal>}
 */
export const namedDateLiterals: Map<NamedDateLiteral, (metadata?: Metadata) => import('@rdfjs/types').Literal>;
