export default graphStats;
export type CreatePartitionUri = (datasetUri: import('@rdfjs/types').NamedNode, index: number) => import('@rdfjs/types').NamedNode;
/**
 * @this {import('barnard59-core').Context}
 * @param {object} options
 * @param {string | import('@rdfjs/types').NamedNode} [options.voidDatasetUri]
 * @param {(string | import('@rdfjs/types').NamedNode)[]} [options.classPartitions]
 * @param {(string | import('@rdfjs/types').NamedNode)[]} [options.propertyPartitions]
 * @param {boolean} [options.includeTotals]
 * @param {string | import('@rdfjs/types').NamedNode} [options.graph]
 * @param {CreatePartitionUri} [options.createClassPartitionUri]
 * @param {CreatePartitionUri} [options.createPropertyPartitionUri]
 * @return {Transform}
 */
declare function graphStats(this: import("barnard59-core").Context, { voidDatasetUri, classPartitions, propertyPartitions, includeTotals, graph, createClassPartitionUri, createPropertyPartitionUri, }?: {
    voidDatasetUri?: string | import("@rdfjs/types").NamedNode<string> | undefined;
    classPartitions?: (string | import("@rdfjs/types").NamedNode<string>)[] | undefined;
    propertyPartitions?: (string | import("@rdfjs/types").NamedNode<string>)[] | undefined;
    includeTotals?: boolean | undefined;
    graph?: string | import("@rdfjs/types").NamedNode<string> | undefined;
    createClassPartitionUri?: CreatePartitionUri | undefined;
    createPropertyPartitionUri?: CreatePartitionUri | undefined;
}): Transform;
import { Transform } from 'readable-stream';
