export default mapMatch;
export type MapCallback<T> = (this: {
    rdf: import('barnard59-env').Environment;
}, quad: import('@rdfjs/types').Quad) => Promise<T> | T;
/**
 * @typedef {(this: { rdf: import('barnard59-env').Environment }, quad: import('@rdfjs/types').Quad) => Promise<T> | T} MapCallback
 * @template T
 */
/**
 * @this {import('barnard59-core').Context}
 * @param {object} options
 * @param {MapCallback<T>} options.map
 * @param {import('@rdfjs/types').Quad_Subject | Iterable<import('@rdfjs/types').Term>} [options.subject]
 * @param {import('@rdfjs/types').Quad_Predicate | Iterable<import('@rdfjs/types').Term>} [options.predicate]
 * @param {import('@rdfjs/types').Quad_Object | Iterable<import('@rdfjs/types').Term>} [options.object]
 * @param {import('@rdfjs/types').Quad_Graph | Iterable<import('@rdfjs/types').Term>} [options.graph]
 * @return {Transform}
 * @template T
 */
declare function mapMatch<T>(this: import("barnard59-core").Context, { map, subject, predicate, object, graph }: {
    map: MapCallback<T>;
    subject?: import("@rdfjs/types").Quad_Subject | Iterable<import("@rdfjs/types").Term> | undefined;
    predicate?: import("@rdfjs/types").Quad_Predicate | Iterable<import("@rdfjs/types").Term> | undefined;
    object?: import("@rdfjs/types").Quad_Object | Iterable<import("@rdfjs/types").Term> | undefined;
    graph?: import("@rdfjs/types").Quad_Graph | Iterable<import("@rdfjs/types").Term> | undefined;
}): Transform;
import { Transform } from 'readable-stream';
